Subject: I-D Action: draft-cardwell-iccrg-bbr-congestion-control-02.txt

From: [email-masked]
Date: Mon, 07 Mar 2022 13:12:12 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : BBR Congestion Control
        Authors         : Neal Cardwell
                          Yuchung Cheng
                          Soheil Hassas Yeganeh
                          Ian Swett
                          Van Jacobson
	Filename        : draft-cardwell-iccrg-bbr-congestion-control-02.txt
	Pages           : 66
	Date            : 2022-03-07

Abstract:
   This document specifies the BBR congestion control algorithm.  BBR
   ("Bottleneck Bandwidth and Round-trip propagation time") uses recent
   measurements of a transport connection's delivery rate, round-trip
   time, and packet loss rate to build an explicit model of the network
   path.  BBR then uses this model to control both how fast it sends
   data and the maximum volume of data it allows in flight in the
   network at any time.  Relative to loss-based congestion control
   algorithms such as Reno [RFC5681] or CUBIC [RFC8312], BBR offers
   substantially higher throughput for bottlenecks with shallow buffers
   or random losses, and substantially lower queueing delays for
   bottlenecks with deep buffers (avoiding "bufferbloat").  BBR can be
   implemented in any transport protocol that supports packet-delivery
   acknowledgment.  Thus far, open source implementations are available
   for TCP [RFC793] and QUIC [RFC9000].  This document specifies version
   2 of the BBR algorithm, also sometimes referred to as BBRv2 or bbr2.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-cardwell-iccrg-bbr-congestion-control/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-cardwell-iccrg-bbr-congestion-control-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-cardwell-iccrg-bbr-congestion-control-02

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts